import { defineConfig } from "@adonisjs/core/app"

export default defineConfig({
  commands: [
    async () => {
      return await import("@adonisjs/core/commands")
    },
    async () => {
      return await import("@adonisjs/lucid/commands")
    },
  ],
  providers: [
    async () => {
      return await import("@adonisjs/core/providers/app_provider")
    },
    async () => {
      return await import("@adonisjs/core/providers/hash_provider")
    },
    {
      file: async () => {
        return await import("@adonisjs/core/providers/repl_provider")
      },
      environment: ["repl", "test"],
    },
    async () => {
      return await import("@adonisjs/core/providers/vinejs_provider")
    },
    async () => {
      return await import("@adonisjs/cors/cors_provider")
    },
    async () => {
      return await import("@adonisjs/lucid/database_provider")
    },
    async () => {
      return await import("@adonisjs/auth/auth_provider")
    },
    async () => {
      return await import("@adonisjs/limiter/limiter_provider")
    },
  ],
  preloads: [
    async () => {
      return await import("#start/database.ts")
    },
    async () => {
      return await import("#start/routes.ts")
    },
    async () => {
      return await import("#start/kernel.ts")
    },
  ],
  tests: {
    suites: [
      {
        files: ["**/*.test.ts"],
        name: "functional",
        timeout: 30_000,
      },
    ],
    forceExit: false,
  },
})
