import { defineConfig } from "@adonisjs/auth"
import { tokensGuard, tokensUserProvider } from "@adonisjs/auth/access_tokens"
import type { Authenticators, InferAuthEvents } from "@adonisjs/auth/types"

const authConfig = defineConfig({
  default: "api",
  guards: {
    api: tokensGuard({
      provider: tokensUserProvider({
        tokens: "accessTokens",
        model: async () => {
          return await import("#app/models/user.ts")
        },
      }),
    }),
  },
})

export default authConfig

/**
 * Inferring types from the configured auth guards.
 */
declare module "@adonisjs/auth/types" {
  interface Authenticators extends InferAuthenticators<typeof authConfig> {}
}
declare module "@adonisjs/core/types" {
  interface EventsList extends InferAuthEvents<Authenticators> {}
}
