import { BaseSchema } from "@adonisjs/lucid/schema"

export default class CreateUsersTable extends BaseSchema {
  protected tableName = "users"

  public override async up(): Promise<void> {
    void this.schema.createTable(this.tableName, (table) => {
      table.increments("id").notNullable()
      table.string("full_name").notNullable()
      table.string("email", 254).notNullable().unique()
      table.string("password").notNullable()

      table.timestamp("created_at").notNullable()
      table.timestamp("updated_at").notNullable()
    })
  }

  public override async down(): Promise<void> {
    void this.schema.dropTable(this.tableName)
  }
}
