import { BaseSchema } from "@adonisjs/lucid/schema"

export default class CreateAccessTokensTable extends BaseSchema {
  protected tableName = "auth_access_tokens"

  public override async up(): Promise<void> {
    void this.schema.createTable(this.tableName, (table) => {
      table.increments("id")
      table
        .integer("tokenable_id")
        .notNullable()
        .unsigned()
        .references("users.id")
        .onDelete("CASCADE")
        .onUpdate("CASCADE")

      table.string("type").notNullable()
      table.string("name").nullable()
      table.string("hash").notNullable()
      table.text("abilities").notNullable()
      table.timestamp("created_at")
      table.timestamp("updated_at")
      table.timestamp("last_used_at").nullable()
      table.timestamp("expires_at").nullable()
    })
  }

  public override async down(): Promise<void> {
    void this.schema.dropTable(this.tableName)
  }
}
