"use client"

import { Button } from "@repo/ui/Design/Button"
import { Link } from "@repo/ui/Design/Link"
import { Typography } from "@repo/ui/Design/Typography"
import { useState } from "react"
import { getWikipediaPageInternalLinks } from "./wikipedia-api.ts"
import {
  fromLocaleToWikipediaLocale,
  getWikipediaLink,
} from "./wikipedia-utils.ts"

export const WikipediaClient: React.FC = () => {
  const [isLoading, setIsLoading] = useState(false)

  const localeWikipedia = fromLocaleToWikipediaLocale("en-US")
  const wikipediaLink = getWikipediaLink(localeWikipedia)

  const handleClick: React.MouseEventHandler<HTMLButtonElement> = async () => {
    setIsLoading(true)
    const fromPageInput = "Linux"
    const toPageInput = "Node.js"
    console.log({
      fromPageInput,
      toPageInput,
    })
    const [fromPageWikipediaLinks, toPageWikipediaLinks] = await Promise.all([
      getWikipediaPageInternalLinks({
        title: fromPageInput,
        locale: localeWikipedia,
      }),
      getWikipediaPageInternalLinks({
        title: toPageInput,
        locale: localeWikipedia,
      }),
    ])
    console.log({
      fromPageWikipediaLinks,
      toPageWikipediaLinks,
    })
    // const deepInternalLinks = await getDeepWikipediaPageInternalLinks({
    //   locale: localeWikipedia,
    //   data: {
    //     [fromPageWikipediaLinks.title]: fromPageWikipediaLinks,
    //     [toPageWikipediaLinks.title]: toPageWikipediaLinks,
    //   },
    // })
    // console.log(deepInternalLinks)
    setIsLoading(false)
  }

  return (
    <section className="my-6 flex items-center justify-center space-x-6">
      <Button onClick={handleClick} isLoading={isLoading} className="w-36">
        Wikipedia
      </Button>
      <Typography variant="text1" as="p">
        <Link href={wikipediaLink} target="_blank">
          {wikipediaLink.replace("https://", "")}
        </Link>
      </Typography>
    </section>
  )
}
